#ifndef _MAC_RESOLV_H_
#define _MAC_RESOLV_H_

#define BUFFER_SIZE 256

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <signal.h>
#include <syslog.h>
#include <unistd.h> 
#include <string.h>

#include <netinet/in.h>
#include <netinet/if_ether.h> 
#include <netinet/ether.h>
#include <netinet/ip6.h>
#include <netinet/icmp6.h>
#include <net/ethernet.h>

typedef struct manufacturer{
	char code[9];
	char name[16];
	struct manufacturer *next;
}manufacturer_t;

int read_manuf_file(char *filename, manufacturer_t **list);

int is_manufacturer(manufacturer_t *list, char *code, char *name);
int add_manufacturer(manufacturer_t **list, char *code, char *name);
char * get_manufacturer(manufacturer_t *list, struct ether_addr eth);
int clean_manufacturer(manufacturer_t **list);
void print_manufacturer(manufacturer_t *list);

#endif

